#Near-optimal Coresets for Robust Clustering

This supplementary contains our experimental codes and dataset.

We have done four experiments:

- exp1: the tradeoff between coreset size and empirical error;
- exp2: the impact of the number of outliers $m$ on the empirical error;
- exp3: speedup for a Lloyd's style algorithm for $k$-Robust Means;
- exp4: speedup for a local search approach for $k$-Robust Median.

Codes for each experiment are in the corresponding folder.

---

To run one of the experiments, one should go to the corresponding folder.

For example, in folder "exp1", one can compile the code by executing

```
make
```

and run experiment by executing:

```
cd Y
bash exp.sh
```

where Y is the name of dataset. For example, to run the first experiment on Twitter dataset, execute:

```
cd twitter
bash exp.sh
```

The results will be shown in the terminal and be saved in "res.txt". One can find our results shown in our paper in "result.txt".



