//Coreset Construction
#ifndef CORESET
#define CORESET

#include "head.h"
#include "tools.h"
#include "function.h"
#include "kmeans.h"

datapoint triMedian(dataset X, const int &k);

pair<dataset, dataset> RRMedian(dataset X, const int &k, int T);

vector<pair<datapoint, double> > GetDistri(dataset X, const int &k, int T);

dataset Imp_Coreset(vector<pair<datapoint, double> > Y, const int &n);

parti group(const parti &_Light, const datapoint &c, const double &err, int z);

pair<parti, parti> WZ_Decomposition(dataset X, const datapoint &c, const double &err, int z);

dataset Two_point_Coreset(dataset X, const datapoint &c);

dataset Uniform_Coreset(dataset S, const int &n);

dataset Outlier_Uniform(dataset X, dataset C_approx,double m, int x);

dataset Our_Coreset(dataset X, dataset C_approx, double m, int x, int z, double thr);

#endif
